#include "conversationwidget.h"
#include "ui_conversationwidget.h"
#include "../helpers/conversationslisthelper.h"

ConversationWidget::ConversationWidget(const Conversation &conversation, const UsersList &list, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::ConversationWidget),
    mConversation(conversation),
    mUsersList(list)
{
    ui->setupUi(this);

    //Initialize UI
    QString convTitle = ConversationsListHelper::getConversationDisplayName(conversation, list);
    ui->convName->setText(convTitle);
}

ConversationWidget::~ConversationWidget()
{
    delete ui;
}

void ConversationWidget::sendMessage()
{
    qWarning("Send a new message");
}

void ConversationWidget::on_sendMessageButton_clicked()
{
    sendMessage();
}

void ConversationWidget::on_messageContentInput_returnPressed()
{
    sendMessage();
}
