/**
 * Conversation widget
 *
 * Allows to display all the components
 * of a single conversation
 *
 * @author Pierre HUBERT
 */
#ifndef CONVERSATIONWIDGET_H
#define CONVERSATIONWIDGET_H

#include <QWidget>

#include "../data/conversation.h"
#include "../data/userslist.h"

namespace Ui {
class ConversationWidget;
}

class ConversationWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ConversationWidget(const Conversation &conversation, const UsersList &list, QWidget *parent = nullptr);
    ~ConversationWidget();

public slots:

    /**
     * Send the message entered by the user in the form
     */
    void sendMessage();



private slots:
    void on_sendMessageButton_clicked();

    void on_messageContentInput_returnPressed();

private:

    //Private fields
    Ui::ConversationWidget *ui;
    Conversation mConversation;
    UsersList mUsersList;
};

#endif // CONVERSATIONWIDGET_H
